SHUTDOWN(2)

NAME
shutdown - shut down part of a full-duplex connection

SYNOPSIS
int shutdown(s, how)
int s, how;

DESCRIPTION

The shutdown() call causes all or part of a full-duplex connection on the socket associated with s to be shut down. If how is 0, then further receives will be disallowed. If how is 1, then further sends will be disallowed. If how is 2, then further sends and receives will be disallowed.

RETURN VALUES

shutdown() returns:

0   on success.

-1  on failure and sets errno to indicate the error.

ERRORS

EBADF
    s is not a valid descriptor.

ENOTCONN
    The specified socket is not connected.

ENOTSOCK
    s is a file, not a socket.

SEE ALSO
ipcrm(1), ipcs(1), connect(2), socket(2),

BUGS

The how values should be defined constants.